
Auto Multiple Choice - Bug # 290: AMC fails regex validation and crashes during manual association

Status: Closed Priority: Normal
Author: Anirvan Sarkar Category: Graphical Interface
Created: 07/03/2014 Assignee: Alexis Bienvenüe
Updated: 08/19/2014 Due date:
Description: If you type *a\* in the textbox provided in Manual Association window, AMC crashes with the message:

<pre>
Trailing \ in regex m/^a\/ at /usr/share/perl5/AMC/Gui/Association.pm line 303.
</pre>

On typing *a)*
<pre>
Unmatched ) in regex; marked by <-- HERE in m/^a) <-- HERE / at /usr/share/perl5/AMC/Gui/Association.pm 
line 303.
</pre>

On typing *a(*
<pre>
Unmatched ( in regex; marked by <-- HERE in m/^a( <-- HERE / at /usr/share/perl5/AMC/Gui/Association.pm 
line 303.
</pre>

History
07/03/2014 08:53 pm - Alexis Bienvenüe
- Assignee set to Alexis Bienvenüe

Thanks. Should be fixed with commit:e1bbbf7a5948.

07/03/2014 09:01 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset commit:e1bbbf7a5948.

07/03/2014 09:05 pm - Anirvan Sarkar
- Target version set to 1.3.0

Thanks !

08/19/2014 06:00 am - Anirvan Sarkar
- Status changed from Resolved to Closed
